Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034061
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminorhave not tried2016-09-22 16:562016-12-16 18:38
ReporterNaroaIriarteView Statuspublic 
Assigned ToNaroaIriarte 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revisiona4743d84d014
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034061: The cascade constraints deletion should be more restrictive

DescriptionThe cascade constraint deletion must be restricted.
Now when an update database is done, every FK constraint to AD tables is deleted and after these are regenerated again. This causes a performance issue in some circumstances and should be fixed.
 
Steps To Reproduce.
Proposed SolutionThe constraint deletion must be restricted.
The FK constraints to AD tables must be drop only when there are actually changes in the referenced AD table.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037592 closedplatform update.database hangs if one module has a column in a table that's in another module not installed 

-  Notes
(0091171)
hgbot (developer)
2016-11-04 13:00

Repository: erp/devel/pi
Changeset: a4743d84d014f3648ee97b432ce33074866f45b7
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Fri Nov 04 12:58:24 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a4743d84d014f3648ee97b432ce33074866f45b7 [^]

Fixed issue 34061: The drop of the constraints is now more restrictive

The ant update database task has been modified to be more restrictive when droping the constraints and deleting rows. Before this project it was done for every FK constrainst to AD tabes. And after that every of them where regenerated. This caused performance issues.
Now, it is only done when deletion or insertion changes are detected, and for those tables which are affected.

---
M src-db/database/lib/dbsourcemanager.jar
---
(0091372)
alostale (developer)
2016-11-11 09:07

code reviewed and tested as part of project http://wiki.openbravo.com/wiki/Projects:Support_Partial_Indexes_On_Nullable_Columns [^]
(0092596)
hudsonbot (developer)
2016-12-16 18:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-09-22 16:56 NaroaIriarte New Issue
2016-09-22 16:56 NaroaIriarte Assigned To => platform
2016-09-22 16:56 NaroaIriarte Modules => Core
2016-09-22 16:56 NaroaIriarte Triggers an Emergency Pack => No
2016-09-22 16:57 NaroaIriarte Assigned To platform => NaroaIriarte
2016-09-22 16:58 NaroaIriarte Status new => acknowledged
2016-09-22 16:58 NaroaIriarte Status acknowledged => scheduled
2016-11-04 12:34 NaroaIriarte Review Assigned To => alostale
2016-11-04 13:00 hgbot Checkin
2016-11-04 13:00 hgbot Note Added: 0091171
2016-11-04 13:00 hgbot Status scheduled => resolved
2016-11-04 13:00 hgbot Resolution open => fixed
2016-11-04 13:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a4743d84d014f3648ee97b432ce33074866f45b7 [^]
2016-11-11 09:06 alostale Summary The cascade constraints deletion shoul be more restrictive => The cascade constraints deletion should be more restrictive
2016-11-11 09:07 alostale Note Added: 0091372
2016-11-11 09:07 alostale Status resolved => closed
2016-11-11 09:07 alostale Fixed in Version => 3.0PR17Q1
2016-12-16 18:38 hudsonbot Checkin
2016-12-16 18:38 hudsonbot Note Added: 0092596
2018-01-19 12:07 alostale Relationship added related to 0037592


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker